OpenTTD GameScript API: Data Fields

OpenTTD GameScript API 13.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - r -

- RailToolbarWidgets : GSWindow
- RailTrack : GSRail
- RAILTRACK_INVALID : GSRail
- RAILTRACK_NE_SE : GSRail
- RAILTRACK_NE_SW : GSRail
- RAILTRACK_NW_NE : GSRail
- RAILTRACK_NW_SE : GSRail
- RAILTRACK_NW_SW : GSRail
- RAILTRACK_SW_SE : GSRail
- RailType : GSRail
- RAILTYPE_INVALID : GSRail
- RaiseTile() : GSTile
- Rand() : GSBase
- RandItem() : GSBase
- RandRange() : GSBase
- RandRangeItem() : GSBase
- RefitVehicle() : GSVehicle
- Remove() : GSGoal , GSStoryPage
- RemoveAboveValue() : GSList
- RemoveAirport() : GSAirport
- RemoveBelowValue() : GSList
- RemoveBetweenValue() : GSList
- RemoveBottom() : GSList
- RemoveBridge() : GSBridge
- RemoveBuoy() : GSMarine
- RemoveCanal() : GSMarine
- RemoveDock() : GSMarine
- RemoveElement() : GSLeagueTable , GSStoryPage
- RemoveItem() : GSList
- RemoveList() : GSList
- RemoveLock() : GSMarine
- RemoveRail() : GSRail
- RemoveRailStationTileRectangle() : GSRail
- RemoveRailTrack() : GSRail
- RemoveRailWaypointTileRectangle() : GSRail
- RemoveRectangle() : GSTileList
- RemoveRoad() : GSRoad
- RemoveRoadDepot() : GSRoad
- RemoveRoadFull() : GSRoad
- RemoveRoadStation() : GSRoad
- RemoveSign() : GSSign
- RemoveSignal() : GSRail
- RemoveTile() : GSTileList
- RemoveTop() : GSList
- RemoveTunnel() : GSTunnel
- RemoveValue() : GSList
- RemoveWaterDepot() : GSMarine
- ReplaceVehicleWidgets : GSWindow
- ResetCosts() : GSAccounting
- ResolveClientID() : GSClient
- ResolveCompanyID() : GSCompany
- ResolveNewGRFID() : GSIndustryType , GSObjectType
- ResolveOrderPosition() : GSOrder
- ReverseVehicle() : GSVehicle
- ROAD_LAYOUT_2x2 : GSTown
- ROAD_LAYOUT_3x3 : GSTown
- ROAD_LAYOUT_BETTER_ROADS : GSTown
- ROAD_LAYOUT_INVALID : GSTown
- ROAD_LAYOUT_ORIGINAL : GSTown
- RoadLayout : GSTown
- RoadToolbarWidgets : GSWindow
- RoadTramTypes : GSRoad
- ROADTRAMTYPES_ROAD : GSRoad
- ROADTRAMTYPES_TRAM : GSRoad
- RoadType : GSRoad
- ROADTYPE_INVALID : GSRoad
- ROADTYPE_ROAD : GSRoad
- ROADTYPE_TRAM : GSRoad
- RoadVehCanRunOnRoad() : GSRoad
- RoadVehHasPowerOnRoad() : GSRoad
- RoadVehicleType : GSRoad
- ROADVEHTYPE_BUS : GSRoad
- ROADVEHTYPE_TRUCK : GSRoad